---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: n8n-1
spec:
  selector:
    matchLabels:
      container: n8n-1
  template:
    metadata:
      labels:
        container: n8n-1
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: DB_POSTGRESDB_DATABASE
          value: n8n
        - name: DB_POSTGRESDB_HOST
          value: n8n-db
        - name: DB_POSTGRESDB_PASSWORD
          value: f2cdf112997f06b7aa264eefbaaa3231
        - name: DB_POSTGRESDB_PORT
          value: '5432'
        - name: DB_POSTGRESDB_USER
          value: n8n
        - name: DB_TYPE
          value: postgresdb
        - name: N8N_EDITOR_BASE_URL
          value: http://test.nirvati.org
        - name: N8N_SECURE_COOKIE
          value: 'false'
        - name: WEBHOOK_URL
          value: http://test.nirvati.org
        image: n8nio/n8n:1.73.1
        name: n8n-1
        volumeMounts:
        - mountPath: /home/node/.n8n
          name: longhorn-own-data
          subPath: data/n8n
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: n8n-db
spec:
  selector:
    matchLabels:
      container: n8n-db
  template:
    metadata:
      labels:
        container: n8n-db
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: POSTGRES_DB
          value: n8n
        - name: POSTGRES_NON_ROOT_PASSWORD
          value: f2cdf112997f06b7aa264eefbaaa3231
        - name: POSTGRES_NON_ROOT_USER
          value: n8n
        - name: POSTGRES_PASSWORD
          value: cafe2f12dd3bdfe202ed849eba7a5cc0
        - name: POSTGRES_USER
          value: tipi
        image: postgres:11
        name: n8n-db
        volumeMounts:
        - mountPath: /var/lib/postgresql/data
          name: longhorn-own-data
          subPath: data/postgres
        - mountPath: /docker-entrypoint-initdb.d/init-data.sh
          name: longhorn-own-data
          subPath: data/init-data.sh
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

